### Method

# Ide Task get_task_data

#### Declaration

    gpointer
    ide_task_get_task_data (
      IdeTask* self
    )

#### Description

Gets the task data previously set with ide_task_set_task_data().

Available since: | 3.32
This method is not directly available to language bindings.

#### Return value

Returns: | `gpointer`
| Previously registered task data or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.